# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Supplier Service
The Supplier web service is used for creating and maintaining a supplier.

### [POST] /vpa/v1/supplier/ManageSupplierAccount
**ManageSupplierAccount**

#### Request Body

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"buyerId"**: string, **"clientId"**: string, **"messageId"**: string, **"supplierId"**: string, **"cardDetails"**: { **"actiontype"**: string, **"accountType"**: string, **"proxyNumber"**: string, **"accountLimit"**: string, **"currencyCode"**: string, **"accountNumber"**: string, **"expirationDate"**: string, **"defaultIndicator"**: string }, **"disableReason"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"ManageSupplierAccountResponse"**: { **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string, **"accountNumber"**: string, **"expirationDate"**: string, **"accountRequestID"**: string, **"defaultIndicator"**: string } }<br> |
| 400 | Refer to the <a href="https://developer.visa.com/pages/B2B-virtual-account-payment-method-error-codes#manage_supplier_account">Error Codes</a> page for the list of error codes for this API. |  |
